blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
37776387ec6deeff6a14074d6c6516ba3ffbb7a7 | 7,010 | #!/bin/sh
echo -e "\033[33m IM 服務(image)更新腳本\033[0m"
echo -e "\033[36m * 靜態資源 * \033[0m"
echo -e "\033[32m admin file web-download website web-smarttalk \033[0m"
echo -e "\033[36m * 動態資源 * \033[0m"
echo -e "\033[32m api chatbot file gateway push robot server services smarttalk task user \033[0m"
echo -e "\033[36m * 開始... |
213cc5d5a7302bc85be9dd75f2d908f4babb0799 | 186 | #!/bin/bash
# vagrant default path
# see https://coreos.com/os/docs/latest/cloud-config-locations.html
sudo coreos-cloudinit --from-file=/var/lib/coreos-vagrant/vagrantfile-user-data
|
cec3198bc148b1266542608bc53dd25f5e88bb5a | 428 | #!/bin/bash -x
# VARIABLE
sum=0
# READ FROM USER
read -p "Enter number to check Palindrome: " number
# FUNCTION FOR P
function isPalindrome(){
temp=$number
local n=$1
while [ $n != 0 ]
do
remainder=$(($n%10))
sum=$(($sum*10 +$remainder))
n=$(($n/10))
done
if [ $sum -eq $temp ]
then
echo "Palindrome"
... |
5758f6ca496f20079c4ff35cd2ad9001c99b1c1c | 148 | RQ_REDIS_URL=redis://efs-redis-service:6379?socket_keepalive=true&retry_on_timeout=true
KPW_CONSUMER_READY_PATH=/healthz
KPW_CONSUMER_HTTP_PORT=8080 |
d6f7186cfc6907efb6b63b39254dd43e4bcf50e0 | 74 | export SmallXAnaVersion="CommonFSQFramework.Skim.Samples_DiJet_20140411"
|
0cb4fd9acc0d4dbf488222446493411b8233eee5 | 253 | #!/bin/bash
set -e
nextflow \
run \
align-proteins-diamond.nf \
--sample_sheet local_inputs/sample_sheet.txt \
--ref_fasta local_inputs/ncbi_ref_proteins.faa \
--outdir local_outputs \
-with-docker "ubuntu:16.04" \
-resume
|
559b70ce787de172796891ce2788aad56900f420 | 583 | #!/usr/bin/env zsh
#
# Shows all 256 colors of xterm's 256-color mode.
# Make sure your terminal is at least 108x47.
# This script has been placed into the Public Domain by its author, J. S. Connell.
#
clear
column=1
line=1
xlimit=6
ylimit=6
color=16
while [ $color -lt 256 ]; do
printf "%3d: \x1B[48;5;%dm ... |
5c4c09f31b95495e39bb62192ba2bbc9ea159990 | 492 |
## updateLocation
#curl -d "uuid=0004fay0a8hoiy80&lat=41.999999&lon=-99.99999" http://wedding.sandalsoft.com/weddingonserver/updateLocation.php
## getGuestList
#curl -d "uuid=a26995db8cd00153e1c3c7055108942a1171b08d" http://wedding.sandalsoft.com/weddingonserver/getGuestList.php
## getPhotoGallrey
## Check if ima... |
63c60dc57ec0d489519a4973dd1c584efffa6e4a | 446 | #!/bin/sh
set -x -e
${CONDA_PREFIX}/opt/trinity-*/Inchworm/bin/inchworm --help &>/dev/null || [ $? -eq 1 ]
${CONDA_PREFIX}/opt/trinity-*/Chrysalis/Chrysalis --help &>/dev/null || [ $? -eq 255 ]
${CONDA_PREFIX}/opt/trinity-*/Chrysalis/QuantifyGraph --help &>/dev/null || [ $? -eq 255 ]
${CONDA_PREFIX}/opt/trinity-*/Chr... |
1cd6e934f5d42c87c5eec294850ace68fc59d0d7 | 6,278 | #!/bin/bash
########################################################################
#
# cityandyear.sh.pseudocode - MNXB01-2021 Homework 3
#
# Author: Florido Paganelli florido.paganelli@hep.lu.se
#
# Description: This script takes as input
# - a directory where SMHI files are stored,
# ... |
f358f693f0659b35d84e7957b5e8a307f3eac4f2 | 69 | #! /bin/bash
docker build -t tanmer/ruby:2.3.1 -f Dockerfile.2.3.1 .
|
e1770a3f0532d6bbfd892d69a734f08082f6aa01 | 72 | #!/bin/sh
chown -R $UID:$GID /tor
exec su-exec $UID:$GID tini -- tor $@
|
c0cfe52c555b801b57a0a3918abbc26cee4831b4 | 1,243 | #!/usr/bin/env bash
echo "This script installs all needed dependencies to successfully run the QyVideoEditor application on Ubuntu 20.04!"
echo "Run this script with sudo privileges in order to install the libraries!"
if [[ $(whoami) != root ]]; then
echo -e " -- \e[31mPlease run this script as root or using sudo\e... |
ab3b7b7684d74efa5469eb766abd1b52e90b8da0 | 130 | #!/bin/bash
mvn clean package && docker build -t smithchan/movies-api . && docker run --rm -it -p 9200:8080 smithchan/movies-api
|
d9dc800d6b057d10e1e1c938cccc40cc6dd6aade | 366 | #!/bin/bash
BINARIES_PATH=$(grep -A0 'BINARIES_PATH' "/usr/local/production/config/ctrl1conf.yaml" | cut -d: -f2 | sed 's/[\" ]//g')
LD_LIBRARY_PATH=$(grep -A0 'OLD_LIBRARIES' "/usr/local/production/config/ctrl1conf.yaml" | cut -d: -f2 | sed 's/[\" ]//g')
$BINARIES_PATH/iPDU $1
if [ "$1" == "on" ]
then
# We switch the ... |
7c8e0cd519b489ae500995dd69121bef54661338 | 220 | #!/bin/bash
#Program:
# Use id, finger command to check system account's information.
#History
# 2016/11/14 yujiansong
users=$(cut -d ':' -f1 /etc/passwd)
for username in $users
do
id $username
finger $username
done
|
8ea6ca647bd94036eca2464683613590fecff345 | 60 | for i in *.go ; do go build -o ../bin/${i%.go} $i ; done
|
c6296e195fe26e1fdff5c00187a1633b614e91f1 | 199 | #!/bin/bash
read -p "Enter the radius of circle " r
pi=3.14
area=$(echo "$pi*$r*$r" | bc)
echo "Area of circle = $area"
circumf=$(echo "2*$pi*$r" | bc)
echo "Circumference of circle = $circumf"
|
e0da6dacb752ee1d48f8e01d6c930e91b8609542 | 524 | gcloud container clusters get-credentials my-first-cluster-1 --region=us-central1-c
kubectl get nodes
kubectl create secret generic forum-alura-api-secret --from-literal=USER=forum-alura --from-literal=PASSWORD=mysecretpassword123
kubectl get secrets
kubectl create deploy api --dry-run=client --image=gcr.io/${GOOGLE_CL... |
4540c278df6cf116b83b86d8411eea474f3b256e | 291 | VERSION=${VERSION-5.2.4}
set -e +h
wget --content-disposition "http://tukaani.org/xz/xz-$VERSION.tar.xz" "--output-document=xz-$VERSION.tar.xz"
rm -rf xz-$VERSION && tar -Jxf "xz-$VERSION.tar.xz"
rm -f "xz-$VERSION.tar.xz"
cd xz-$VERSION
./configure --prefix=$PREFIX
make && make install
|
d1ebc6dce99d98f828ece9137a56be37e5bd843f | 6,042 | #!/bin/bash
# Enable debugging
#set -x
#
# Global parameters
#
PROJECT_ID=$1
DLS_LIBRARY_ID=IPLIB_DLS
DT_LIBRARY_ID=IPDTL
SVN_BASE_PATH="https://supi.telekom.de/svn"
CHECKOUT_DIR="/tmp/release-branch-checkout-dir"
DTLIBRARY_PARENT_DIR_IN_DLSLIBRARY="$CHECKOUT_DIR/$DLS_LIBRARY_ID/DLSLibrary/lib"
DLSLIBRARY_PARENT_DI... |
9f164d53bad307fa9c6e303059eeef1c6076e56c | 513 | #!/bin/bash
## Description: Initialize project and setup application
## Usage: setup
## Example: ddev setup
set -ev
# Cleanup/remove project resources and assets.
ddev stop --remove-data --omit-snapshot
ddev start --skip-confirmation
if ! command -v composer >/dev/null; then
echo "composer is not available. You m... |
c997e75e8ab086e95c55ab29f9f72f8f44af4429 | 1,051 | # Maintainer: Amiad Bareli <amiad@hatul.info>
pkgname=gnome-shell-extension-gnome-hdate-git
_gitname=gnome-hdate
pkgver=20161106
pkgrel=1
pkgdesc="Show Hebrew date in gnome-shell panel"
arch=('i686' 'x86_64')
url="https://github.com/amiad/gnome-hdate"
license=('GPL')
depends=('libhdate' 'libhdate-glib' 'gnome-shell')... |
d0b4ea518c995fb1f2babd70991a92876fc9904c | 532 | cd /root/esp/${UPYTHON_PROJECT_NAME}/ports/esp32
echo ">>>> ERASING FLASH"
make erase
echo ">>>> WRITING IMAGE"
make deploy
###
echo "RESET IT"
sleep 30
cd ${BADGE_SOURCE_PATH}
echo ">>>> COPYING FEATURES"
ampy --port /dev/ttyUSB0 put features.py features.py
echo ">>>> COPYING CONFIG"
ampy --port /dev/ttyUSB0 put ./con... |
78edcfdccb86f719f0e217de978def08d0755560 | 586 | #!/bin/bash
cd $(dirname $0)
if [[ -z $1 || -z $2 ]]; then
JSON="{ \"data\":["
SEP=""
while read domain; do
JSON=${JSON}"$SEP{\"{#DOMAIN}\":\"${domain}\"}"
SEP=", "
done < domains.txt
JSON=${JSON}"]}"
echo ${JSON}
exit 0
fi
URL=$1
PARAM=$2
ROW=$(cat result.cache | grep -E "... |
b75d6fe4bc11df1fa79816c29f3fc6bc1e125b2e | 223 | #!/bin/sh
echo $( $(true) ) # not bag…
pwd=$(echo $(pwd)) #bag… can't put space here
echo $( [[ -n $1 ]] && echo Enable args || echo Not args)
echo $( (($#)) && echo Enable args || echo Not args)
echo $[9-$[4*$[1>0]]]
|
5008851a2ea82925910b2ecf466b38745e1c6900 | 1,372 | #!/bin/bash
# Go to the script's folder
cd "`dirname "$0"`"
# Define needed variables
if [ -z "$APP_NAME" ]; then
APP_NAME="Email bridge"
fi
if [ -z "$JAR_FILE" ]; then
JAR_FILE=`ls -1 ../../target/email-bridge-*-standalone.jar | head -1`
fi
if [ -z "$CFG_FILE" ]; then
CFG_FILE=config.properties
fi
if [ -z "$LOG_F... |
3586fd46d717efd2f3530e7af36cf92e511781df | 112 | #!/bin/bash
source /etc/apache2/virtualenv2/bin/activate
cd /home/ed/Projects/shortimer
./manage.py analytics
|
52c49c7cd60be389812aff12ccae9123468d4dda | 223 | #!/usr/bin/env bash
set -o xtrace
set -e
# Install pacstrap, genfstab, arch-chroot
pacman -S arch-install-scripts --noconfirm --needed
# TODO: rank mirrors
pacstrap /mnt base base-devel
genfstab -U /mnt >> /mnt/etc/fstab
|
3b5750ebb10f57633917141b3feb82d8c794af9e | 148 | #/bin/bash
# NOTE: this file runs DBT, though this is actually handled by airflow so not required
cd /usr/src/challenge/dbt_challenge_test
dbt run
|
f7cc576332c3f55931c0e47e581b5fbe8808e246 | 18 | ps ax | grep java
|
23435b42dec63e96764902d070c24c01071854c5 | 7,856 | #!/bin/bash
#
OCF_ROOT=/usr/lib/ocf
: ${OCF_FUNCTIONS_DIR=${OCF_ROOT}/resource.d/heartbeat}
. ${OCF_FUNCTIONS_DIR}/.ocf-shellfuncs
metadata() {
cat <<END
<?xml version="1.0"?>
<!DOCTYPE resource-agent SYSTEM "ra-api-1.dtd">
<resource-agent name="elasticip">
<version>1.0</version>
<longdesc lang="en">
Resource agnet... |
1dcceab3851c6b3a2fa1f32d6f148861cfe98f27 | 324 | echo the title ?
read title
vim ./md/$title.md
pandoc ./md/$title.md -t html -o ./html/$title.html
echo " <link rel="stylesheet" href="./style.css"> " >> ./html/$title.html
sed -i -e "/<!--add-->/a $(cd html && echo \<a href=\"\./html/$(ls -t |head -1)\")"\>$(cd html && ls -t | head -1 )\<\/\a\> index.html
echo Done... |
dc16d918147d9ada572ab13e86eb0667c26ed074 | 313 | #!/usr/bin/env bash
if [ ! -z "${KAFKA_HOST_NAME}" ]; then
sed -i "s|localhost|$KAFKA_HOST_NAME|g" $WORKDIR/elk.properties
sed -i "s|9092|$KAFKA_PORT|g" $WORKDIR/elk.properties
sed -i "s|eslskibana|$KAFKA_TOPIC_NAME|g" $WORKDIR/elk.properties
fi
#start tomcat
$TOMCAT_HOME/bin/catalina.sh run
|
26d6c69b7cddefc36807d3a08e3bdb033d6a9f22 | 66 | test -s /usr/local/opt/asdf && source /usr/local/opt/asdf/asdf.sh
|
97d69c53b4a76a53d7eae4a72e9304ad84d6a05a | 6,076 | #!/usr/bin/env zsh
#----------------------------------------------------
# Author: Max "keks" Fischer
#
# File: settings.zsh
#----------------------------------------------------
#-----------------------------------
# Colors
#-----------------------------------
# {{{
if [[ "$TERM" != "linux" ]]; then
ex... |
ba188d4663c553ce0c4e9b25060d4f04bfb48cef | 637 | # $Id$
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
pkgname=cedet
pkgver=1.1
pkgrel=1
pkgdesc="tools written with the end goal of creating an advanced development environment in Emacs."
arch=(any)
url="http://cedet.sourceforge.net/"
license=('GPL')
depends=(emacs)
install=cedet.install
source=(http://downlo... |
73bee68e5681057bee3af2dd0c3e20c669552f14 | 438 | #!/bin/bash
for i; do
if [ -f "${i}" ]; then
if [ -r "${i}" ]; then
echo "$(basename "${i}") is readable"
else
echo "$(basename "${i}") is not readable"
fi
elif [ -d "${i}" ]; then
COUNT_FILES=$(find "${i}" -maxdepth 1 -type f 2> /dev/null | wc -l)
echo "$(find "${i}" -maxdepth 1 -type f -size -"${CO... |
2ccd880bc965b80cb036e562cf274974e01321d1 | 5,605 | #!/bin/bash -x
function setup_user() {
id -u ${U_NAME} 2> /dev/null 1>&2
if [ $? -ne 0 ]; then
make_user
fi
}
function make_user() {
# If EXTERNAL_UID is not set, we just use the standard system generated
# UID.
# If we can get a good value, the UID and GID will both be that.
# Reje... |
36fdbbbc53c4bbc374519ba65a390aef0a82a637 | 2,275 | #!/bin/bash
## OLD! refer to install_lib.bat instead
# steps to install:
# -copy appropriate files to repo directory
# -setup the version variable
# -setup the proper mvn path
# -run the script
# -directories along with pom files will be created
version=0.7.0
#version=0.6.5
#version=0.6.0
maven_path=~/Downloads/apa... |
18300e3dd9764c0527868c81491ec88fbe40fea9 | 233 | #!/bin/bash
if [ "$#" -ne 2 ] && [ "$#" -ne 6 ]; then
echo "Illegal number of parameters"
fi
if [ "$#" -eq 6 ]; then
python InfoBox.py "-$1" $2 $3 "'$4'" $5 $6
else if [ "$#" -eq 2 ]; then
python InfoBox.py "-$1" $2
fi
fi
|
3eb1a3c7640f505d073f7202b9194916cbf3e37b | 176 | cd data
# OCR dataset by Ben Taskar
wget http://ai.stanford.edu/~btaskar/ocr/letter.names
wget http://ai.stanford.edu/~btaskar/ocr/letter.data.gz
gunzip letter.data.gz
cd ..
|
79c0fdc2e499d85c8194ce303055916bac7a0487 | 428 | #! /bin/bash
# Copyright 2015-2019 Peter Williams
# Licensed under the MIT License.
set -e
# XXXX: errors building the image related to resource limits, unless I change
# the user/group ID away from those of my user account? Mysterious but I worked
# around by just replace $(id -u) with 1111, etc.
exec docker build ... |
02bf6212b6c3fe1bdacc12b882b40a78c338353e | 432 | #!/bin/sh
#PBS -N MPIIMPROVED1
#PBS -m abe
#PBS -j oe
#PBS -k n
#PBS -l nodes=1:ithaca:ppn=1,walltime=1:00:00
#PBS -V
#
setenv OMPI_MCA_btl self,tcp
cat $PBS_NODEFILE
cd /home/sangalli_va/Desktop/mpimmm/improved
n=`wc -l < $PBS_NODEFILE`
n=`expr $n / 2`
echo n
#mpirun -np $n --hostfile $PBS_NODEFILE --map-by ppr:1:n... |
fde5728b6c0610b96e5b9a76b473dd5863f1abe8 | 982 | ROFI_VER=rofi_1.4.2-1
ROFI_DEB="$ROFI_VER"_amd64.deb
ROFI_URL=http://launchpadlibrarian.net/344694647/"$ROFI_DEB"
libxkb_url=http://launchpadlibrarian.net/337252168/libxkbcommon0_0.7.1-2_amd64.deb
libxkb_common_url=http://launchpadlibrarian.net/337252162/libxkbcommon-dev_0.7.1-2_amd64.deb
libxkb_x11_url=http://launchp... |
d3335b87cbfc15b84e87547771cfc26f233c0f24 | 114 | thrift -gen php:server HelloWorld.thrift && cp ./gen-php/Services/HelloWorld ./Applications/ThriftRpc/Services/ -r |
0a1cb8f4023edf974db80ea38d6afd19dd4982c6 | 163 | #!/bin/bash
for f in audio_2/*.wav
do
fname=$(basename "$f")
fname="${fname%.*}"
dca-rs --raw -i $f > audio/${fname}.dca
echo "Converted $f"
done
|
69b1e7b7b8790e9f75094f9a85914f32b7a4de9a | 504 | #! /bin/bash
iptables -A FORWARD -i wlo1 -o eno1 -p tcp --syn --dport 8080 -m conntrack --ctstate NEW -j ACCEPT
iptables -A FORWARD -i wlo1 -o eno1 -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT
iptables -A FORWARD -i eno1 -o wlo1 -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT
iptables -t nat -A PREROUTI... |
828774aea5b93eb8cf3ee07eee135d35f58328c6 | 531 | #!/bin/bash
set -e
if [ -z "$@" ];
then
echo "Please specify firmware revision"
echo "Usage: $0 fw_ver"
echo " Example: $0 28"
false
fi
fw_ver=0.$@
dir=fw-$fw_ver
echo tagging fw to $fw_ver
mkdir $dir
cp joker_tv.jic $dir/joker_tv-$fw_ver.jic
(cd $dir && zip joker_tv-$fw_ver-jic.zip joker_tv-$fw_ver.jic && rm jo... |
507dd1aea69ee7c0b94e054027d7867e80391b93 | 724 | #!/bin/bash
docker system prune -f
docker pull ubuntu:20.04
docker pull ubuntu:18.04
docker pull mcr.microsoft.com/vscode/devcontainers/base:0-focal
# kinetic images needed for deepracer
docker pull althack/ros:kinetic-base
docker pull althack/ros:kinetic-dev
# Latest ros release
docker pull althack/ros:noetic-base
d... |
e3bc312fe27c852df8dea45d82f477d619caabba | 1,057 | #!/bin/bash
# Install test version of docker engine, also shell completions
yum -y install /vagrant/packages/docker-ce-selinux-17.03.2.ce-1.el7.centos.noarch.rpm
yum -y install /vagrant/packages/docker-ce-17.03.2.ce-1.el7.centos.x86_64.rpm
# Add the vagrant user to the docker group
usermod -aG docker vagrant
# Resta... |
969f3e4503b975cea662494d3828e4a2563c09c1 | 2,392 | #!/bin/bash
# internal network
myhost=$(ifconfig wlan0 \
| awk 'NR==2 {print $1}' \
| cut -d : -f 2)
trusthost="${myhost:0:10}0/24"
# ssh
# ssh_trusthost=''
# ssh_port=''
script_name=$(basename "$0")
s_flag=0
r_flag=0
function usage(){
cat <<_EOT_
NAME
${script_name}
USAGE
${script_name} [-s] [-r] [-h]
D... |
acee36ec2c0fb5c9c16640dc46f6fcc67579c360 | 614 | #yaourtをインストール
#https://archlinux.fr/yaourt-en
cd $HOME
git clone https://aur.archlinux.org/package-query.git
cd package-query
makepkg -si --noconfirm
cd ..
git clone https://aur.archlinux.org/yaourt.git
cd yaourt
makepkg -si --noconfirm
cd ..
rm -rf package-query
rm -rf yaourt
#chromeをインストール
yaourt -S google-chrome ... |
d3c2a27dbc8ce1276d04f9bc28afb053a2e2beaf | 1,305 | # Build all images
docker build -t erickgallani/fibonacci-multi-docker-test-client:latest -t erickgallani/fibonacci-multi-docker-test-client:$SHA ./client
docker build -t erickgallani/fibonacci-multi-docker-test-server:latest -t erickgallani/fibonacci-multi-docker-test-server:$SHA ./server
docker build -t erickgallani/... |
5f8f8925d6603a55f9551f170c98d5e743eb7908 | 612 | #!/usr/bin/env bash
set -e
# 1. tsv blast file
# 2. query fasta
# 3. subject fasta
# 4. fasta out filename
count=0
while read line; do
#if [[ ${line} != *"qaccver"* ]]; then
((count++))
read -a vars <<< $line
echo "processing ${vars[0]} and ${vars[1]}"
# get query sequence
seqkit grep -p "${vars[0]}" $2 > tmp... |
604bcec46ba29451b140b25df606b118f3e66163 | 58 | FRUITS_API_URI=https://${GLOO_GATEWAY_PROXY_IP}.nip.io/api |
09e6e27c998bd2be714a77ed715318bf3d79d01c | 220 | #/bin/bash
DB_USER='root'
DB_PASSWD=''
DB_NAME='peng'
TABLE='status'
IPS=$(mysql -D$DB_NAME -u$DB_USER -se "SELECT ip FROM $TABLE")
read -ra vars <<< $IPS
for i in "${vars[@]}"; do
echo `./statscontroller.sh $i`
done |
f1b6d1d83183cbb5b9dfd28b6f5e3aed2b09e61f | 1,355 | #!/bin/bash
database=$1
table=$2
columns=$3
#count the number of existing columns in the table
col_num=`head -n 1 $1/$2 2>/dev/null | tr "," " " | wc -w`
#find the max column number requested
max_col_req_num=`echo $3 | tr "," "\n" | sort -nr | head -n1`
#find the min column number requested
min_col_req_num=`echo $... |
4686524ca9754e7b98f3b058d6f78c7b4f18004e | 2,387 | # Maintainer: Cravix < dr dot neemous at gmail dot com >
# Based on the eclipse PKGBUILD by Ionut Biru <ibiru@archlinux.org>
pkgname=eclipse-rap
pkgver=4.2.1
pkgrel=1
_date=201209141800
pkgdesc="Eclipse for RCP and RAP (RWT) developers"
arch=('i686' 'x86_64')
url="http://eclipse.org"
depends=('java-environment' 'gtk2'... |
b42e2289ed0e81f2ec1f8f7e8d7d763fba6e4af8 | 250 | #!/bin/bash
echo 1 > /sys/class/gpio/gpio70/value # Shut Off Pump
echo 1 > /sys/class/gpio/gpio75/value # Open Drain
sleep 300 # Wait 5mins
echo 0 > /sys/class/gpio/gpio75/value # Close Drain
echo 1 > /sys/class/gpio/gpio74/value # Open Fill
|
fd3bcf8cb6f0500154f216f37bb29fec93fbbf39 | 274 | #!/bin/bash
set -e
set -u
SNIPPET_NAME="$1"
cp -r template "$SNIPPET_NAME"
pushd "$SNIPPET_NAME"
sed -i "s/template/$SNIPPET_NAME/" CMakeLists.txt
git init
touch README.md
git add .
git commit -m "Add project template, configuration files and scripts."
|
2f55ea659ba758a97f289962eaf08e12f5ce722a | 2,254 | #!/bin/bash
#title :enableAQC111.sh
#description :This script will make aqc111 driver enable in DSM 6.2.
#author :garynil.tw
#date :20200608
#version :0.1
#usage :bash enableAQC111.sh
#==============================================================================
w... |
b5aa8f3d696c59e2181e74f0bbbaf07d860f27ac | 2,547 | #!/bin/bash
WORKINGDIR=$(dirname $0)
OUTPUTAFFIX=".yolov2tiny"
PREFILE="./.currentFrame.png"
LOCKFILE="$WORKINGDIR/.lock"
# Make sure to put checks in place
clean_up(){
rm -f "$LOCK_FILE"
echo "Leaving GTFO"
exit 1
}
trap clean_up SIGHUP SIGINT SIGTERM
pushd $WORKINGDIR
# Download & Make stuff
[[ ! -f ... |
0342d68c17b4fbadd7c4ec711df2cfbfe980acaa | 261 | # System Setting
setopt AUTO_LIST
setopt AUTO_MENU
setopt localoptions rmstarsilent
setopt histignorespace
unsetopt share_history
unsetopt correct_all
# You may need to manually set your language environment
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
|
5f689ad215339e8e6d3b6e9d2f8d56ce3223bb90 | 1,091 | #! /bin/bash
#$ -cwd
#$ -S /bin/bash
#$ -q fast.q
#$ -N PG_tlh-Y-etc
#$ -M deleted@deleted.edu
#$ -m e
#$ -V
hostname
module load quantum-espresso/6.1
# scf
mpirun -np $NSLOTS pw.x -inp INPUT_PG_tlh-Y-scf.in > OUTPUT_PG_tlh-Y-scf
# pp
mpirun -np $NSLOTS pp.x -inp INPUT_PG_tlh-Y-pp.in > OUTPUT_PG_tlh-Y-pp
mpirun -np $... |
95bf872a0ba29224bf3c5c674104aca10c388557 | 1,679 | #!/bin/bash
# `/sbin/setuser collectd` runs the given command as the user `collectd`.
# If you omit that part, the command will be run as root.
# Install Network Weathermap
HTMLDIR='/var/www/'
WEATHERMAP="$HTMLDIR/weathermap"
C='*/5 * * * * root /var/www/weathermap/map-poller.php >> /dev/null 2>&1'
if [ ! -d... |
ebcd419b1e32129af62f3b7f487fc71d4c3a8b50 | 89 | ./sensor ConfigFiles/DoorConfig.txt InputFiles/DoorInput.txt output/DoorOutputFile_2.txt
|
ce45bf1b33dfd59291b5ac18cdb41a50e4563e58 | 264 | #! /bin/sh
# Extracts the repository URL from an svn or git-svn working copy.
CWD=$PWD
URL="${1:-.}"
cd $URL
if test -e '.git'; then
INFO=$(git svn info | fgrep 'URL: ')
else
INFO=$(svn info . | fgrep 'URL: ')
fi
echo $INFO | awk '{ print $2 }'
cd $CWD
|
16b4f8efd6e9a901b050f6d47cc3958394e2a1b7 | 37 | #bash
gcc -o test input.c myshell.c
|
8128b0f0d926207034ce5638909d00437a49b732 | 225 | #!/bin/bash
#petit script à lancer pour que cela tourne !
#zf170808.1735
export LS_HEAP_SIZE="80m"
curl -XDELETE http://10.92.104.203:9200/*
/opt/logstash/bin/logstash -f /home/ubuntu/elk_hello_world/wwp_1000_csv.conf
|
1307fc8971e22aa373456b5f38d213bb78fb0558 | 152 | #!/usr/bin/env bash
mkdir -p `pwd`/logs
ofile=`pwd`/logs/bg_`date +%F_%H%M%S`.log
echo Logging into: $ofile
unbuffer time ./example-cron | tee $ofile
|
f7d50ed4c6ece26ef521e960affb0e894f53110a | 135 | source venv/scripts/activate
echo "$PWD"
pip install -r requirements.txt
# shellcheck disable=SC2162
read -p "Press enter to continue"
|
8f57f2083daef71cafb980248122e36151681d3b | 6,386 | ### work.zshrc
### - settings for when at work
###
# vim: set filetype=zsh :
### }}}
### sourced modules {{{
###
source ~/.zsh/lib/common.zsh
# function read_current_project() {{{
# read the configuration file that details current project,
# if one such file exists
function read_current_project()
{
if [[ ! ... |
63bb1c7fc831b096890fc800e9472de602a91153 | 45 | PATH=$PATH:/home/fred/Work/build
export PATH
|
d8ce4df6fa5a1c63ac8d175a19ffa44629c2c2b1 | 860 | ##get 23S-5S ITS region from barrnap
for i in <all_SAR11_genomes>; do echo $i; barrnap $i --threads 16 --quiet >> rRNA_pos.tsv; done
egrep "23S|5S" rRNA_pos.tsv > 23S_5S_only.tsv
cut -f1 23S_5S_only.tsv | awk 'array[$0]++' | grep -f - 23S_5S_only.tsv | grep "23S" | cut -f1,4,5 > 23S_unique.tsv
cut -f1 23S_5S_only.tsv ... |
e098d32d756bc7fb8c49fe851c7e54b1a0e37180 | 107 | #!/usr/bin/env bash
docker run -it \
--link redis-local:redis \
--rm redis redis-cli -h redis -p 6379
|
225d70fd4bb69a4be07a793fa3f0e4a6d586482e | 161 | #!/bin/sh
# echo "\\\\newpage" >> $2
echo "\\\\section{$1}" >> $2
echo "\\\\tt{" >> $2
source-highlight -f latexcolor -t 4 -i $1 -o STDOUT >> $2
echo "}" >> $2
|
ed75fdaa95ccfba468dcbbf6f8b74466c89a84cc | 527 | #!/bin/sh
SCRIPT_DIR="$(dirname "$0")"
PROJECT_DIR="$SCRIPT_DIR/.."
. "$SCRIPT_DIR/utils.sh"
cd "$PROJECT_DIR" || exit
if ! command_exists sphinx-build; then
abort "sphinx must be installed for build docs"
fi
if ! pip_module_exists sphinx_rtd_theme; then
abort "sphinx_rtd_theme must be installed for build docs... |
a8e387179d5256274a0215ecc20d4d9c116b696b | 549 | #!/bin/bash
onlygroup=$1
input="users_wpw.txt"
while IFS= read -r line
do
user=$(echo $line | awk '{print $1}')
group=$(echo $line | awk '{print $8}')
if [ $onlygroup = $group ]
then
echo $word1
echo cp /home/clusterhome/dglyzin/class2-2020-11-02.ipynb /home/clusterhome/$user/
cp /home/clusterhom... |
e674f76ff66cba0d26a83970368ddac26f1f09c5 | 587 | #!/usr/bin/env bash
# Base16 Duotone-DarkEarth - Pantheon Terminal color scheme install script
# adapted from: Simurai (https://github.com/simurai/duotone-dark-earth-syntax/)
# Charles B Johnson (https://github.com/charlesbjohnson)
SCHEMA="org.pantheon.terminal.settings"
gsettings set "$SCHEMA" background "#322d29"
g... |
8f18446e7b531de40c270752d6c5cb34385bf023 | 92 | #!/bin/bash
ssh -i "Form-Redis.pem" ec2-user@ec2-3-17-205-16.us-east-2.compute.amazonaws.com |
0dc3f38b5e9a9a8c204d596e9061381ba94eda58 | 130 | #!/bin/bash
./main ../../input/kron_g500-logn19/kron_g500-logn19.mtx.mesh ../../input/kron_g500-logn19/kron_g500-logn19.mtx.xyz
|
a69e7b60322a889f6e84c04ac665085f0b882418 | 1,044 | #!/usr/bin/env bash
# FIXME: change this to use start-job.sh?
# These are intended to show the effectiveness of various lifting strategies on (clustered) random games.
run_on() {
for seed in {1..30}
do
for lift in -llinear:0 -llinear:1 -Lpredecessor:0 -lpredecessor:0 -lpredecessor:1 -Lpredecessor:1 -Lminmeasure:... |
08a543682e8307346eeb75f9fd978bab723bb9ef | 320 | #!/bin/bash
mkdir -p src/{main,test}/{java,resources,scala}
mkdir lib project target
# create an initial build.sbt file
echo "name := \"$1\"
version := \"$2\"
scalaVersion := \"$3\"" > build.sbt
# add eclipse plugin
echo 'addSbtPlugin("com.typesafe.sbteclipse" %% "sbteclipse-plugin" % "5.1.0")' > project/plugins.sbt
|
6c7ee866a5ddc9d47f10167717e1f9673a305cad | 1,632 | #!/bin/bash
if [ -f "include/startup.sh" ]; then
. include/startup.sh
elif [ -f "../include/startup.sh" ]; then
. ../include/startup.sh
fi
checkTagExist ntpd.success
checkTagExist cwm-settimezone.success
appVersion=2.8.2
appPackage=openvpn-as-latest-ubuntu18.amd_64.deb
rootDir=$(rootDir)
echo "Downloading b... |
ad917ff6acbfb0c1700ed766b45e4e60978a4096 | 303 | #!/bin/bash
MSG="monka_omega"
MODE="RUN"
terminate()
{
MODE="TERM"
}
echo $$ > .pid
trap 'terminate' SIGTERM
while true
do
case $MODE in
"RUN")
echo -ne "\r \r$(date)"
sleep 1
;;
"TERM")
echo -ne "\nExecution interrupted. Exiting...\n"
exit 0
;;
esac
done
|
96a9c5d2e005c76a72ec8f1f8b61f93cd1573ab2 | 707 | #!/bin/bash
for i in {0..39}
do
python3 group8_parser.py ebay_data/items-${i}.json
done
touch Bid.dat
touch Category.dat
touch Items.dat
touch Users.dat
for i in {0..39}
do
cat ebay_data/items-${i}.json_Bid.dat >> Bid.dat
cat ebay_data/items-${i}.json_Category.dat >> Category.dat
cat ebay_data/items-${i... |
e5dc513994faa39d439edeecc69816c4c502fea3 | 897 | #!/bin/sh
top -b -n 1 > top.txt
filename=top.txt
counter1=0
counter2=0
pid=""
user=""
time=""
while read line; do
if [ "$counter1" -gt 6 ]
then
counter2=0
for word in $line
do
if [ "$counter2" -eq 0 ]
then
pid="$word"
#echo "$word"
fi
if [ "$counter2" -eq 1 ]
... |
63ad48b6ef6fdc7ebedb8c63baf0afaec610adf1 | 456 | #!/bin/bash
echo "select plugin to install"
echo "1 peda"
echo "2 gef"
echo "3 gdbgui"
read -t 10 -n 1 -p "请选择安装插件,他们是互斥的" select
if [ $select -eq 1 ];then
echo "source ~/iot/tools/peda/peda.py">>~/.gdbinit
echo "ojbk"
elif [ $select -eq 2 ];then
wget -q -O- https://github.com/hugsy/gef/raw/master/scripts/gef.sh | s... |
913f9d0e16ca04787bb7189109e0e1d9d82be995 | 2,675 | #!/bin/bash
#
# Calculate download traffic per day
#
function ghe_greater_equal () {
cat /etc/github/enterprise-release |
perl -sne '
use version;
my ($installed) = $_ =~ /RELEASE_VERSION="([0-9]+([.][0-9]+)+)"/;
exit (version->parse($installed) lt version->parse($requir... |
468c66cb0bdc6afe5d5f4c1da570692e98cffab4 | 1,640 | #!/bin/bash
# (c) Copyright Ascensio System Limited 2010-2015
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
# Unless required by applicable law o... |
cc5d761dd9344bdc2b805e65e6a6443a040a8b3c | 44 | #!/bin/sh
exec s6-svc -o /services/flexget
|
42db8ffb8df43c574db74ef8dd911c36ed648cfa | 1,038 | #!/bin/bash
TCP1='0-8191'
TCP2='8192-16383'
TCP3='16384-24575'
TCP4='24576-32767'
TCP5='32768-40959'
TCP6='40960-49151'
TCP7='49152-57343'
TCP8='57344-65535'
if [ -z $2 ];
then printf "\nSyntax: $0 <file of ips> <rate|e.g. 2000>\n\n"
else
FILE=$1
RATE=$2
TCP_PORTS=($TCP1 $TCP2 $TCP3 $TCP4 $TCP5 $TCP6 $TCP7 $... |
cd31c1bdf55dd3b8737f26d46dd50453de851024 | 1,366 | #! /bin/sh
### BEGIN INIT INFO
# Provides: job_manager
# Required-Start: $syslog
# Required-Stop: $syslog
# Should-Start: $local_fs
# Should-Stop: $local_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Job Manager Service
# Description: ... |
bd7d679a07129af6e6c78b9b061716a57abee0e7 | 270 | #!/bin/bash
cnt=21
src=./compete_data/case
res=./compete_case/output_case
while (($cnt <=25))
do
python locate_3.py --src-path=${src}$(printf '%03d' $cnt)_input.txt --res-path=${res}$(printf '%03d' $cnt).txt --gpu-num=3
cnt=$((cnt + 1))
done
printf '%03d' $cnt
|
fd13d50b5102677c1aa38c497431497f787eba3b | 941 | #duplicate.sh
source=BigGAN_I128_hdf5_seed0_Gch64_Dch64_bs256_Glr1.0e-04_Dlr4.0e-04_Gnlinplace_relu_Dnlinplace_relu_Ginitxavier_Dinitxavier_Gshared_alex0
target=BigGAN_I128_hdf5_seed0_Gch64_Dch64_bs256_Glr1.0e-04_Dlr4.0e-04_Gnlinplace_relu_Dnlinplace_relu_Ginitxavier_Dinitxavier_Gshared_alex0A
logs_root=logs
weights_ro... |
2a0f8d4d97a09bad526a7cfc5513cd96494d58ad | 206 | #!/bin/sh
unset GIT_DIR
rm -rf ~/finalproj/files
exec git clone ~/finalproj ~/finalproj/files
rm -rf ~/finalproj/files/.git
cd ~/finalproj/files
sudo pkill python
nohup sudo python -m SimpleHTTPServer 80 &
|
f1a75c4c4211f8daaaa7a1358d2c459336053902 | 68 | #!/bin/bash
echo "NTP CRITICAL: No response from NTP server"
exit 2
|
6ed3b171fc190788ce0e62e1972d7e5c414446fe | 1,846 | #!/usr/bin/env bash
# Deploy to GCP Cloud Functions, https://cloud.google.com/functions/
#
# Required globals:
# KEY_FILE
# PROJECT
# FUNCTION_NAME
# ENTRY_POINT
# RUNTIME
#
# Optional globals:
# MEMORY
# TIMEOUT
# EXTRA_ARGS
# DEBUG
# SOURCE
# TRIGGER
source "$(dirname "$0")/common.sh"
enable_d... |
2937510926cb192b06e4c536dfbed5a68fdbb827 | 1,362 | #!/bin/bash
# Some fun shell hackery to demo the connect-four API.
# NOTE: requires httpie and jq
host=127.0.0.1
port=5000
set -x
http GET http://${host}:${port}/drop_token
# new game
gameId=`http --body POST http://${host}:${port}/drop_token \
players:='["player1", "player2"]' \
... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.